# Asterisk Project : Asterisk 13 Function_SPRINTF

Created by wikibot on Aug 08, 2014

# SPRINTF()

### Synopsis

Format a variable according to a format string.

### Description

Parses the format string specified and returns a string matching that format. Supports most options found in sprintf(3). Returns a shortened string if a format specifier is not recognized.

### Syntax

    SPRINTF(format,arg1,arg2[,...],argN)

##### Arguments

- `format`
- `arg1`
- `arg2`
- `argN`

### See Also

- `sprintf(3)`

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538